Package net.commoble.exmachina.api

# Class ExMachinaDataMaps

java.lang.Object
net.commoble.exmachina.api.ExMachinaDataMaps

public final class ExMachinaDataMaps extends Object
DataMapTypes for Ex Machina's data maps

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalReceiver>`
`SIGNAL_RECEIVER`
DataMapType for the exmachina:signal_receiver block data map used by the signal graph
`static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalSource>`
`SIGNAL_SOURCE`
DataMapType for the exmachina:signal_source block data map used by the signal graph
`static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalTransmitter>`
`SIGNAL_TRANSMITTER`
DataMapType for the exmachina:signal_transmitter block data map used by the signal graph

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIGNAL_SOURCE

public static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalSource> SIGNAL_SOURCE
DataMapType for the exmachina:signal_source block data map used by the signal graph

### SIGNAL_TRANSMITTER

public static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalTransmitter> SIGNAL_TRANSMITTER
DataMapType for the exmachina:signal_transmitter block data map used by the signal graph

### SIGNAL_RECEIVER

public static final net.neoforged.neoforge.registries.datamaps.DataMapType<net.minecraft.world.level.block.Block,SignalReceiver> SIGNAL_RECEIVER
DataMapType for the exmachina:signal_receiver block data map used by the signal graph